# Class PageMarginAttributes

#### Hierarchy

- XmlAttributeComponent<IPageMarginAttributes>
  - PageMarginAttributes

- Defined in src/file/document/body/section-properties/properties/page-margin.ts:23

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new PageMarginAttributes(properties: IPageMarginAttributes): PageMarginAttributes

- #### Parameters

  - ##### properties: IPageMarginAttributes

  #### Returns PageMarginAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in src/file/xml-components/default-attributes.ts:11

## Methods

### prepForXml

- prepForXml(_: IContext): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in src/file/xml-components/default-attributes.ts:16

Generated using TypeDoc